PHPExcel_Writer_Excel2007

# Class: PHPExcel_Writer_Excel2007_Style

Source Location: /PHPExcel/Writer/Excel2007/Style.php

### Class Overview

    PHPExcel_Writer_Excel2007_WriterPart
       |
       --PHPExcel_Writer_Excel2007_Style

PHPExcel_Writer_Excel2007_Style

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- allBorders
- allConditionalStyles
- allFills
- allFonts
- allNumberFormats
- allStyles
- writeStyles

### Inherited Methods

#### Class: PHPExcel_Writer_Excel2007_WriterPart

PHPExcel_Writer_Excel2007_WriterPart::__construct()
  Set parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()
  Get parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()
  Set parent IWriter object

### Class Details

[line 36]
PHPExcel_Writer_Excel2007_Style

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method allBorders [line 665]

`PHPExcel_Style_Borders[] allBorders( [PHPExcel $pPHPExcel = null])`

Get an array of all borders

#### Tags:

return: | All borders in PHPExcel
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method allConditionalStyles [line 588]

`PHPExcel_Style_Conditional[] allConditionalStyles( [PHPExcel $pPHPExcel = null])`

Get an array of all conditional styles

#### Tags:

return: | All conditional styles in PHPExcel
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method allFills [line 612]

`PHPExcel_Style_Fill[] allFills( [PHPExcel $pPHPExcel = null])`

Get an array of all fills

#### Tags:

return: | All fills in PHPExcel
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method allFonts [line 643]

`PHPExcel_Style_Font[] allFonts( [PHPExcel $pPHPExcel = null])`

Get an array of all fonts

#### Tags:

return: | All fonts in PHPExcel
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method allNumberFormats [line 687]

`PHPExcel_Style_NumberFormat[] allNumberFormats( [PHPExcel $pPHPExcel = null])`

Get an array of all number formats

#### Tags:

return: | All number formats in PHPExcel
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method allStyles [line 574]

`PHPExcel_Style[] allStyles( [PHPExcel $pPHPExcel = null])`

Get an array of all styles

#### Tags:

return: | All styles in PHPExcel
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

### method writeStyles [line 45]

`string writeStyles( [PHPExcel $pPHPExcel = null])`

Write styles to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

PHPExcel | $pPHPExcel |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:06 +0200 by phpDocumentor 1.4.4